/**
 * C client stub to invoke services exported by the XML-RPC component: test.
 *
 * This file was generated by xml-rpc-gen tool, from Vortex Library
 * project.
 *
 * Vortex Library homepage: http://vortex.aspl.es
 * Axl Library homepage: http://xml.aspl.es
 * Advanced Software Production Line: http://www.aspl.es
 */
#include <test_types.h>

/* (un)marshaller support functions  */
XmlRpcStruct * test_values_marshall (VortexCtx * _ctx_, Values * ref, axl_bool  dealloc)
{
	XmlRpcStruct       * _result;
	XmlRpcStructMember * _member;

	/* check received reference */
	if (ref == NULL)
		return NULL;
	/* create the struct */
	_result = vortex_xml_rpc_struct_new (3);

	/* count member */
	_member = vortex_xml_rpc_struct_member_new ("count", method_value_new (_ctx_, XML_RPC_INT_VALUE, INT_TO_PTR (ref->count)));
	vortex_xml_rpc_struct_add_member (_result, _member);

	/* fraction member */
	_member = vortex_xml_rpc_struct_member_new ("fraction", method_value_new (_ctx_, XML_RPC_DOUBLE_VALUE, &(ref->fraction)));
	vortex_xml_rpc_struct_add_member (_result, _member);

	/* status member */
	_member = vortex_xml_rpc_struct_member_new ("status", method_value_new (_ctx_, XML_RPC_BOOLEAN_VALUE, INT_TO_PTR (ref->status)));
	vortex_xml_rpc_struct_add_member (_result, _member);

	/* dealloc data source */
	if (dealloc)
		test_values_free (ref);

	/* return result created */
	return _result;
}

Values * test_values_unmarshall (XmlRpcStruct * ref, axl_bool  dealloc)
{
	Values * _result;

	/* check received reference */
	if (ref == NULL)
		return NULL;

	/* check the number of items the provided struct */
	v_return_val_if_fail (vortex_xml_rpc_struct_get_member_count (ref) == 3, NULL);
	/* check member names */
	v_return_val_if_fail (vortex_xml_rpc_struct_check_member_names (ref, 3, "count", "fraction", "status"), NULL);
	/* check member types */
	v_return_val_if_fail (vortex_xml_rpc_struct_check_member_types (ref, 3, "int", "double", "bool"), NULL);

	_result = test_values_new (
		vortex_xml_rpc_struct_get_member_value_as_int (ref, "count"),
		vortex_xml_rpc_struct_get_member_value_as_double (ref, "fraction"),
		vortex_xml_rpc_struct_get_member_value_as_int (ref, "status"));

	/* dealloc data source */
	if (dealloc)
		vortex_xml_rpc_struct_free (ref);

	return _result;
}

/* memory (de)allocation functions */
Values * test_values_new (int count, double fraction, axl_bool  status)
{
	Values * _result = axl_new (Values, 1);

	_result->count = count;
	_result->fraction = fraction;
	_result->status = status;
	
	return _result;
}

Values * test_values_copy (Values * ref)
{
	Values * _result = NULL;

	if (ref == NULL)
		return NULL;

	_result = axl_new (Values, 1);
	_result->count = ref->count;
	_result->fraction = ref->fraction;
	_result->status = ref->status;
	
	return _result;
}

void test_values_free (Values * ref)
{
	if (ref == NULL)
		return;
	if (ref != NULL)
		axl_free (ref);
	return;
}

