; Script generated by the HM NIS Edit Script Wizard.

!include "vortex_1_1_product_version.nsh"

; HM NIS Edit Wizard helper definesdot
!define PRODUCT_NAME "Vortex Library"
!define PRODUCT_PUBLISHER "ASPL"
!define PRODUCT_WEB_SITE "http://vortex.aspl.es"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "logo\vortex-48x48.ico"
!define MUI_UNICON "logo\vortex-48x48.ico"
!define MUI_WELCOMEFINISHPAGE_BITMAP "logo\vortex-lateral-image.bmp"
!define MUI_UNWELCOMEFINISHPAGE_BITMAP "logo\vortex-lateral-image.bmp"

; Welcome page
!define MUI_WELLCOMEPAGE_TITLE "$(PRODUCT_NAME): Open Source Professional BEEP Stack $(PRODUCT_VERSION) installer"
!define MUI_WELCOMEPAGE_TITLE_3LINES
!insertmacro MUI_PAGE_WELCOME

!insertmacro MUI_PAGE_LICENSE "COPYING"

!insertmacro MUI_PAGE_COMPONENTS

; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_SHOWREADME "$INSTDIR/README-VORTEX-WIN32.txt"
!define MUI_FINISHPAGE_TITLE_3LINES
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!define MUI_WELCOMEPAGE_TITLE_3LINES
!insertmacro MUI_UNPAGE_WELCOME

!insertmacro MUI_UNPAGE_INSTFILES

!define MUI_FINISHPAGE_TITLE_3LINES
!insertmacro MUI_UNPAGE_FINISH

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "vortex-installer-${PRODUCT_VERSION}-w${PLATFORM_BITS}.exe"
; InstallDir "$PROGRAMFILES\VortexLibrary-1.1-W${PLATFORM_BITS}"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show

Section "Core Binaries" SEC01

  SectionIn RO
  SetOutPath "$INSTDIR"
  File "README-VORTEX-WIN32.txt"

  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-1.1.dll"
SectionEnd

Section "Library with debug support enabled" SEC0112

  SetOutPath "$INSTDIR"
  SetOutPath "$INSTDIR\debug"
  SetOverwrite ifnewer

  File "debug\libvortex-1.1\libvortex-debug-1.1.dll"
  File "debug\libvortex-1.1\libvortex-tls-debug-1.1.dll"
  File "debug\libvortex-1.1\libvortex-sasl-debug-1.1.dll"
  File "debug\libvortex-1.1\libvortex-pull-debug-1.1.dll"
  File "debug\libvortex-1.1\libvortex-tunnel-debug-1.1.dll"
  File "debug\libvortex-1.1\libvortex-http-debug-1.1.dll"
  File "debug\libvortex-1.1\libvortex-xml-rpc-debug-1.1.dll"
  File "debug\libvortex-1.1\libvortex-alive-debug-1.1.dll"

  File "debug\libvortex-1.1\libvortex-debug-1.1.lib"
  File "debug\libvortex-1.1\libvortex-tls-debug-1.1.lib"
  File "debug\libvortex-1.1\libvortex-sasl-debug-1.1.lib"
  File "debug\libvortex-1.1\libvortex-pull-debug-1.1.lib"
  File "debug\libvortex-1.1\libvortex-tunnel-debug-1.1.lib"
  File "debug\libvortex-1.1\libvortex-http-debug-1.1.lib"
  File "debug\libvortex-1.1\libvortex-xml-rpc-debug-1.1.lib"
  File "debug\libvortex-1.1\libvortex-alive-debug-1.1.lib"
SectionEnd

Section "LibAxl installation" SEC011
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer

  File "test\libaxl.dll"
SectionEnd

Section "TLS extension library" SEC02
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-tls-1.1.dll"
SectionEnd

Section "OpenSSL installation" SEC021
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer

  File "test\ssleay32.dll"
  File "test\libeay32.dll"
SectionEnd

Section "SASL extension library" SEC03
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-sasl-1.1.dll"
SectionEnd

Section "Sasl Associated binaries" SEC031
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer

;  File "test\libgcrypt-11.dll"
;  File "test\libgpg-error-0.dll"
  File "test\libgsasl-7.dll"
SectionEnd

Section "XML-RPC extension library" SEC04
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-xml-rpc-1.1.dll"
SectionEnd

Section "TUNNEL extension library" SEC05
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-tunnel-1.1.dll"
SectionEnd

Section "PULL API extension library" SEC06
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-pull-1.1.dll"
SectionEnd

Section "HTTP CONNECT extension library" SEC07
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-http-1.1.dll"
SectionEnd

Section "ALIVE extension library" SEC12
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer
  File "release\libvortex-1.1\libvortex-alive-1.1.dll"
SectionEnd


Section "Test examples" SEC08
  SetOutPath "$INSTDIR\bin"
  SetOverwrite ifnewer

  File "test\vortex-client.exe"
  File "test\vortex-listener.exe"
  File "test\vortex-omr-server.exe"
  File "test\vortex-sasl-listener.exe"
  File "test\vortex-simple-listener.exe"
  File "test\vortex-tls-listener.exe"
  File "test\vortex-regression-client.exe"
  File "test\vortex-regression-listener.exe"
  File "test\vortex-regression-client.c"
  File "test\vortex-client.c"
  File "test\vortex-regression-listener.c"
  File "test\vortex-sasl-listener.c"
  File "test\libreadline6.dll"
  File "test\mime.example.1.txt"
  File "test\mime.example.body.1.txt"
  File "test\mime.example.2.txt"
  File "test\mime.example.3.txt"
  File "test\mime.example.body.2.txt"
  File "test\test-private-key.pem"
  File "test\test-certificate.pem"
SectionEnd

Section "XML-RPC gen tool" SEC09
  SetOutPath "$INSTDIR\bin"
  File "xml-rpc-gen\xml-rpc-gen.exe"
  File /r "xml-rpc-gen\*.xdl"
  File /r "xml-rpc-gen\*.idl"
SectionEnd


Section /o "Development Headers" SEC10
  SetOutPath "$INSTDIR\include"
  SetOverwrite ifnewer

; include sasl support
  SetOutPath "$INSTDIR\include"
  File "c:\gsasl\gsasl-1.0\src\gsasl-compat.h"
  File "c:\gsasl\gsasl-1.0\src\gsasl-mech.h"
  File "c:\gsasl\gsasl-1.0\src\gsasl.h"
; include gcrypt support
;  File "c:\gsasl\libgcrypt-1.4.3\src\gcrypt.h"
;  File "c:\gsasl\libgcrypt-1.4.3\src\gcrypt-module.h"
; include gpg-error support
;  File "c:\gsasl\libgpg-error-1.6\src\gpg-error.h"

  SetOutPath "$INSTDIR\include\axl"
  File "..\libaxl\src\axl.h"
  File "..\libaxl\src\axl_decl.h"
  File "..\libaxl\src\axl_doc.h"
  File "..\libaxl\src\axl_dtd.h"
  File "..\libaxl\src\axl_error.h"
  File "..\libaxl\src\axl_list.h"
  File "..\libaxl\src\axl_log.h"
  File "..\libaxl\src\axl_node.h"
  File "..\libaxl\src\axl_stack.h"
  File "..\libaxl\src\axl_stream.h"
  File "..\libaxl\src\axl_hash.h"
  File "..\libaxl\src\axl_factory.h"
  File "..\libaxl\src\axl_config.h"

  SetOutPath "$INSTDIR\include\openssl"
  File /r "c:\OpenSSL\include\openssl"

  SetOutPath "$INSTDIR\include\vortex"
  File "src\vortex.h"
  File "src\vortex_ctx.h"
  File "src\vortex_channel.h"
  File "src\vortex_channel_pool.h"
  File "src\vortex_connection.h"
  File "src\vortex_dtds.h"
  File "src\vortex_errno.h"
  File "src\vortex_frame_factory.h"
  File "src\vortex_greetings.h"
  File "src\vortex_handlers.h"
  File "src\vortex_hash.h"
  File "src\vortex_io.h"
  File "src\vortex_listener.h"
  File "src\vortex_profiles.h"
  File "src\vortex_queue.h"
  File "src\vortex_reader.h"
  File "src\vortex_sequencer.h"
  File "src\vortex_support.h"
  File "src\vortex_thread.h"
  File "src\vortex_thread_pool.h"
  File "src\vortex_types.h"
  File "src\vortex_win32.h"
  File "src\vortex_payload_feeder.h"

  ; SASL headers
  File "sasl\vortex_sasl.h"

  ; TLS headers
  File "tls\vortex_tls.h"

  ; TUNNEL headers 
  File "tunnel\vortex_tunnel.h"

  ; XML-RPC headers
  File "xml-rpc\vortex_xml_rpc.h"
  File "xml-rpc\vortex_xml_rpc_types.h"

  ; PULL API headers
  File "pull\vortex_pull.h"

  ; HTTP CONNECT headers
  File "http\vortex_http.h"

  ; ALIVE CONNECT headers
  File "alive\vortex_alive.h"

SectionEnd

Section /o "Developement libs" SEC11
  SetOutPath "$INSTDIR\lib"
  SetOverwrite ifnewer
  
  File "..\libaxl\src\libaxl.dll.a"
  File "..\libaxl\src\libaxl.def"
  File "..\libaxl\src\libaxl.lib"
  File "..\libaxl\src\libaxl.exp"

  ; base library libvortex-1.1.dll
  File "release\libvortex-1.1\libvortex-1.1.dll.a"
  File "src\libvortex-1.1.def"
  File "release\libvortex-1.1\libvortex-1.1.exp"
  File "release\libvortex-1.1\libvortex-1.1.lib"

  ; libvortex-tls-1.1.dll
  File "release\libvortex-1.1\libvortex-tls-1.1.dll.a"
  File "tls\libvortex-tls-1.1.def"
  File "release\libvortex-1.1\libvortex-tls-1.1.exp"
  File "release\libvortex-1.1\libvortex-tls-1.1.lib"

  ; libvortex-sasl-1.1.dll
  File "release\libvortex-1.1\libvortex-sasl-1.1.dll.a"
  File "sasl\libvortex-sasl-1.1.def"
  File "release\libvortex-1.1\libvortex-sasl-1.1.exp"
  File "release\libvortex-1.1\libvortex-sasl-1.1.lib"

  ; libvortex-xml-rpc-1.1.dll
  File "release\libvortex-1.1\libvortex-xml-rpc-1.1.dll.a"
  File "xml-rpc\libvortex-xml-rpc-1.1.def"
  File "release\libvortex-1.1\libvortex-xml-rpc-1.1.exp"
  File "release\libvortex-1.1\libvortex-xml-rpc-1.1.lib"

  ; libvortex-tunnel-1.1.dll
  File "release\libvortex-1.1\libvortex-tunnel-1.1.dll.a"
  File "tunnel\libvortex-tunnel-1.1.def"
  File "release\libvortex-1.1\libvortex-tunnel-1.1.exp"
  File "release\libvortex-1.1\libvortex-tunnel-1.1.lib"

  ; libvortex-pull-1.1.dll
  File "release\libvortex-1.1\libvortex-pull-1.1.dll.a"
  File "pull\libvortex-pull-1.1.def"
  File "release\libvortex-1.1\libvortex-pull-1.1.exp"
  File "release\libvortex-1.1\libvortex-pull-1.1.lib"

  ; libvortex-http-1.1.dll
  File "release\libvortex-1.1\libvortex-http-1.1.dll.a"
  File "http\libvortex-http-1.1.def"
  File "release\libvortex-1.1\libvortex-http-1.1.exp"
  File "release\libvortex-1.1\libvortex-http-1.1.lib"

  ; libvortex-alive-1.1.dll
  File "release\libvortex-1.1\libvortex-alive-1.1.dll.a"
  File "alive\libvortex-alive-1.1.def"
  File "release\libvortex-1.1\libvortex-alive-1.1.exp"
  File "release\libvortex-1.1\libvortex-alive-1.1.lib"

  SetOutPath "$INSTDIR\lib\debug"
  SetOverwrite ifnewer

  ; (DEBUG) base library libvortex-1.1.dll
  File "debug\libvortex-1.1\libvortex-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-debug-1.1.lib"

  ; (DEBUG) libvortex-tls-1.1.dll
  File "debug\libvortex-1.1\libvortex-tls-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-tls-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-tls-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-tls-debug-1.1.lib"

  ; (DEBUG) libvortex-sasl-1.1.dll
  File "debug\libvortex-1.1\libvortex-sasl-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-sasl-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-sasl-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-sasl-debug-1.1.lib"

  ; (DEBUG) libvortex-xml-rpc-1.1.dll
  File "debug\libvortex-1.1\libvortex-xml-rpc-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-xml-rpc-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-xml-rpc-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-xml-rpc-debug-1.1.lib"

  ; (DEBUG) libvortex-tunnel-1.1.dll
  File "debug\libvortex-1.1\libvortex-tunnel-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-tunnel-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-tunnel-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-tunnel-debug-1.1.lib"

  ; (DEBUG) libvortex-pull-1.1.dll
  File "debug\libvortex-1.1\libvortex-pull-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-pull-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-pull-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-pull-debug-1.1.lib"

  ; (DEBUG) libvortex-http-1.1.dll
  File "debug\libvortex-1.1\libvortex-http-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-http-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-http-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-http-debug-1.1.lib"

  ; (DEBUG) libvortex-alive-1.1.dll
  File "debug\libvortex-1.1\libvortex-alive-debug-1.1.dll.a"
  File "debug\libvortex-1.1\libvortex-alive-debug-1.1.def"
  File "debug\libvortex-1.1\libvortex-alive-debug-1.1.exp"
  File "debug\libvortex-1.1\libvortex-alive-debug-1.1.lib"

SectionEnd


Section -AdditionalIcons
  ReadRegStr $R9 HKLM "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" "Common Programs"
  StrCmp $R9 "" 0 ContinueInstallation
  MessageBox MB_OK "No se pudo obtener el directorio de instalacin general, saliendo..."
  Abort ; or anything else...
  ContinueInstallation:
  WriteIniStr "$INSTDIR\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"
  WriteIniStr "$INSTDIR\ASPL.url" "InternetShortcut" "URL" "http://www.aspl.es"

  CreateDirectory "$R9\Vortex Library 1.1"
  CreateShortCut "$R9\Vortex Library 1.1\Website.lnk" "$INSTDIR\${PRODUCT_NAME}.url"
  CreateShortCut "$R9\Vortex Library 1.1\ASPL.lnk" "$INSTDIR\ASPL.url"
  CreateShortCut "$R9\Vortex Library 1.1\README.lnk" "$INSTDIR\README-VORTEX-WIN32.txt"
  CreateShortCut "$R9\Vortex Library 1.1\Uninstall.lnk" "$INSTDIR\uninst.exe"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"

  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"

;  Delete "$INSTDIR\imagenLateral.bmp"
SectionEnd


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) uninstall process have finished properly."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to uninstall $(^Name)?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  ReadRegStr $R9 HKLM "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" "Common Programs"
  StrCmp $R9 "" 0 ContinueInstallation
 ContinueInstallation:

  Delete "$R9\Vortex Library 1.1\Website.lnk"
  Delete "$R9\Vortex Library 1.1\ASPL.lnk"
  Delete "$R9\Vortex Library 1.1\Uninstall.lnk"
  Delete "$R9\Vortex Library 1.1\README.lnk"

  RMDir "$R9\Vortex Library 1.1"
  RMDir /r "$INSTDIR"
  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd

LangString DESC_SEC01 ${LANG_ENGLISH} "Includes minimal core DLL binary installation for Vortex Library 1.1 (libvortex-1.1.dll). No extension library included."

LangString DESC_SEC0112 ${LANG_ENGLISH} "Includes all Vortex Library 1.1 DLLs with log support enabled. The default release comes without log support enabled."

LangString DESC_SEC011 ${LANG_ENGLISH} "Axl Library binaries. Vortex Library 1.1 depends on this XML 1.0 implementation. However, if you have an already working Axl Library installation, you can skip it."

LangString DESC_SEC02 ${LANG_ENGLISH} "Includes libvortex-tls-1.1.dll extension library for TLS profile support."

LangString DESC_SEC021 ${LANG_ENGLISH} "OpenSSL binaries. Vortex Library 1.1 depends on OpenSSL. However, if you have an already working OpenSSL installation you can skip it."

LangString DESC_SEC03 ${LANG_ENGLISH} "Includes libvortex-sasl-1.1.dll extension library for SASL profile support."

LangString DESC_SEC031 ${LANG_ENGLISH} "Gnu SASL binaries. Vortex Library 1.1 depends on GSASL . However, if you have an already working installation you can skip it."

LangString DESC_SEC04 ${LANG_ENGLISH} "Includes libvortex-xml-rpc-1.1.dll extension library for XML-RPC profile support."

LangString DESC_SEC05 ${LANG_ENGLISH} "Includes libvortex-tunnel-1.1.dll extension library for TUNNEL profile support."

LangString DESC_SEC06 ${LANG_ENGLISH} "Includes libvortex-pull-1.1.dll extension library for PULL API support (single threaded API)."

LangString DESC_SEC07 ${LANG_ENGLISH} "Includes libvortex-http-1.1.dll extension library for HTTP CONNECT (proxy support) support."

LangString DESC_SEC08 ${LANG_ENGLISH} "Test files, regression tests, vortex-client tool and other examples."

LangString DESC_SEC09 ${LANG_ENGLISH} "xml-rpc-gen tool: a protocol compiler that translates XDL/IDL definitions into source code to perform XML-RPC invocations."

LangString DESC_SEC10 ${LANG_ENGLISH} "Devel headers (.h files) and additional includes (from GSASL and OpenSSL)."

LangString DESC_SEC11 ${LANG_ENGLISH} "Devel libs: import libraries (.lib) definition files (exports .def) and other additional develment files."

LangString DESC_SEC12 ${LANG_ENGLISH} "Includes libvortex-alive-1.1.dll extension library for ALIVE support"

!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} $(DESC_SEC01)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC0112} $(DESC_SEC0112)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC011} $(DESC_SEC011)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} $(DESC_SEC02)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC021} $(DESC_SEC021)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC03} $(DESC_SEC03)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC031} $(DESC_SEC031)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC04} $(DESC_SEC04)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC05} $(DESC_SEC05)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC06} $(DESC_SEC06)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC07} $(DESC_SEC07)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC12} $(DESC_SEC12)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC08} $(DESC_SEC08)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC09} $(DESC_SEC09)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC10} $(DESC_SEC10)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC11} $(DESC_SEC11)
!insertmacro MUI_FUNCTION_DESCRIPTION_END
